Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class PolicyConstants

    java.lang.Object
      org.apache.cxf.ws.policy.PolicyConstants

    public final class PolicyConstants

extends java.lang.Object

Encapsulation of version-specific WS-Policy constants.

Field Summary
`static java.lang.String` | `APPLIESTO_ELEM_NAME`
`static java.lang.String` | `CLIENT_IN_ASSERTIONS`
`static java.lang.String` | `CLIENT_INFAULT_ASSERTIONS`
`static java.lang.String` | `CLIENT_OUT_ASSERTIONS`
`static java.lang.String` | `CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID`
`static java.lang.String` | `NAMESPACE_W3_200607`
`static java.lang.String` | `NAMESPACE_WS_POLICY`
`static java.lang.String` | `NAMESPACE_XMLSOAP_200409`
`static java.lang.String` | `POLICY_ELEM_NAME`
`static java.lang.String` | `POLICY_IN_INTERCEPTOR_ID`
`static java.lang.String` | `POLICY_OUT_INTERCEPTOR_ID`
`static java.lang.String` | `POLICY_OVERRIDE`
`static java.lang.String` | `POLICYATTACHMENT_ELEM_NAME`
`static java.lang.String` | `POLICYREFERENCE_ELEM_NAME`
`static java.lang.String` | `SERVER_IN_ASSERTIONS`
`static java.lang.String` | `SERVER_OUT_ASSERTIONS`
`static java.lang.String` | `SERVER_OUTFAULT_ASSERTIONS`
`static java.lang.String` | `SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID`
`static java.lang.String` | `WSU_ID_ATTR_NAME`
`static java.lang.String` | `WSU_NAMESPACE_URI`

Method Summary
`static java.util.List<org.w3c.dom.Element>` | `findAllPolicyElementsOfLocalName(org.w3c.dom.Document doc, java.lang.String localName)`
`static java.util.List<org.w3c.dom.Element>` | `findAllPolicyElementsOfLocalName(org.w3c.dom.Element el, java.lang.String localName)`
`static void` | `findAllPolicyElementsOfLocalName(org.w3c.dom.Element el, java.lang.String localName, java.util.List<org.w3c.dom.Element> val)`
`static org.w3c.dom.Attr` | `findOptionalAttribute(org.w3c.dom.Element e)`
`static org.w3c.dom.Element` | `findPolicyElement(org.w3c.dom.Element parent)`
`static boolean` | `isAll(javax.xml.namespace.QName qn)`
`static boolean` | `isAppliesToElem(javax.xml.namespace.QName qn)`
`static boolean` | `isExactlyOne(javax.xml.namespace.QName qn)`
`static boolean` | `isOptional(org.w3c.dom.Element e)`
`static boolean` | `isOptionalAttribute(javax.xml.namespace.QName qn)`
`static boolean` | `isPolicyElem(javax.xml.namespace.QName qn)`
`static boolean` | `isPolicyRefElem(javax.xml.namespace.QName qn)`
`static boolean` | `isPolicyURIsAttr(javax.xml.namespace.QName qn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_WS_POLICY

    public static final java.lang.String NAMESPACE_WS_POLICY

See Also:
  Constant Field Values

### NAMESPACE_W3_200607

    public static final java.lang.String NAMESPACE_W3_200607

See Also:
  Constant Field Values

### NAMESPACE_XMLSOAP_200409

    public static final java.lang.String NAMESPACE_XMLSOAP_200409

See Also:
  Constant Field Values

### POLICY_ELEM_NAME

    public static final java.lang.String POLICY_ELEM_NAME

See Also:
  Constant Field Values

### POLICYREFERENCE_ELEM_NAME

    public static final java.lang.String POLICYREFERENCE_ELEM_NAME

See Also:
  Constant Field Values

### POLICYATTACHMENT_ELEM_NAME

    public static final java.lang.String POLICYATTACHMENT_ELEM_NAME

See Also:
  Constant Field Values

### APPLIESTO_ELEM_NAME

    public static final java.lang.String APPLIESTO_ELEM_NAME

See Also:
  Constant Field Values

### WSU_NAMESPACE_URI

    public static final java.lang.String WSU_NAMESPACE_URI

See Also:
  Constant Field Values

### WSU_ID_ATTR_NAME

    public static final java.lang.String WSU_ID_ATTR_NAME

See Also:
  Constant Field Values

### POLICY_OVERRIDE

    public static final java.lang.String POLICY_OVERRIDE

See Also:
  Constant Field Values

### POLICY_IN_INTERCEPTOR_ID

    public static final java.lang.String POLICY_IN_INTERCEPTOR_ID

See Also:
  Constant Field Values

### POLICY_OUT_INTERCEPTOR_ID

    public static final java.lang.String POLICY_OUT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID

    public static final java.lang.String CLIENT_POLICY_IN_FAULT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID

    public static final java.lang.String SERVER_POLICY_OUT_FAULT_INTERCEPTOR_ID

See Also:
  Constant Field Values

### CLIENT_OUT_ASSERTIONS

    public static final java.lang.String CLIENT_OUT_ASSERTIONS

See Also:
  Constant Field Values

### CLIENT_IN_ASSERTIONS

    public static final java.lang.String CLIENT_IN_ASSERTIONS

See Also:
  Constant Field Values

### CLIENT_INFAULT_ASSERTIONS

    public static final java.lang.String CLIENT_INFAULT_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_IN_ASSERTIONS

    public static final java.lang.String SERVER_IN_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_OUT_ASSERTIONS

    public static final java.lang.String SERVER_OUT_ASSERTIONS

See Also:
  Constant Field Values

### SERVER_OUTFAULT_ASSERTIONS

    public static final java.lang.String SERVER_OUTFAULT_ASSERTIONS

See Also:
  Constant Field Values

Method Detail

### findAllPolicyElementsOfLocalName

    public static java.util.List<org.w3c.dom.Element> findAllPolicyElementsOfLocalName(org.w3c.dom.Document doc,
                                                                                       java.lang.String localName)

### findAllPolicyElementsOfLocalName

    public static java.util.List<org.w3c.dom.Element> findAllPolicyElementsOfLocalName(org.w3c.dom.Element el,
                                                                                       java.lang.String localName)

### findAllPolicyElementsOfLocalName

    public static void findAllPolicyElementsOfLocalName(org.w3c.dom.Element el,
                                                        java.lang.String localName,
                                                        java.util.List<org.w3c.dom.Element> val)

### isOptional

    public static boolean isOptional(org.w3c.dom.Element e)

### findOptionalAttribute

    public static org.w3c.dom.Attr findOptionalAttribute(org.w3c.dom.Element e)

### findPolicyElement

    public static org.w3c.dom.Element findPolicyElement(org.w3c.dom.Element parent)

### isOptionalAttribute

    public static boolean isOptionalAttribute(javax.xml.namespace.QName qn)

### isPolicyElem

    public static boolean isPolicyElem(javax.xml.namespace.QName qn)

### isPolicyRefElem

    public static boolean isPolicyRefElem(javax.xml.namespace.QName qn)

### isAppliesToElem

    public static boolean isAppliesToElem(javax.xml.namespace.QName qn)

### isPolicyURIsAttr

    public static boolean isPolicyURIsAttr(javax.xml.namespace.QName qn)

### isExactlyOne

    public static boolean isExactlyOne(javax.xml.namespace.QName qn)

### isAll

    public static boolean isAll(javax.xml.namespace.QName qn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF